Name:           cheese
Version:        3.32.0
Release:        1
Epoch:          2
Summary:        Take photos and videos with webcam

License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Cheese
Source0:        https://ftp.gnu.org/gnu/guile/%{name}-%{version}.tar.xz

BuildRequires:  chrpath desktop-file-utils docbook-dtds docbook-style-xsl gettext intltool
BuildRequires:  itstool libXtst-devel libappstream-glib libxslt clutter-devel clutter-gst3-devel
BuildRequires:  clutter-gtk-devel gdk-pixbuf2-devel glib2-devel gnome-desktop3-devel vala
BuildRequires:  gobject-introspection-devel gstreamer1-plugins-base-devel libcanberra-devel
BuildRequires:  gstreamer1-plugins-bad-free-devel gtk3-devel libX11-devel
Requires:       gstreamer1-plugins-good gstreamer1-plugins-bad-free gnome-video-effects
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}

%description
Cheese is a program for the GNOME Desktop which allows you to take photos,
videos, and anything else you can think of with your webcam.

%package        libs
Summary:        libraries for %{name}

License:        GPLv2+

%description    libs
Libraries needed for applications that want to display a webcam in their interface
are contained in this package.

%package        devel
Summary:        %{name}-libs development files
License:        GPLv2+
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}
Provides:       %{name}-libs-devel
Obsoletes:      %{name}-libs-devel

%description    devel
The headers and other files that required to build the %{name}-libs application
are contained in %{name}-devel package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-static
%make_build V=1

%install
make install DESTDIR=%{buildroot}

%delete_la
%find_lang %{name} --with-gnome
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/cheese
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libcheese-gtk.so.*

%ldconfig_scriptlets libs

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Cheese.desktop

%files
%doc AUTHORS
%{_bindir}/cheese
%{_datadir}/icons/hicolor/*
%{_datadir}/dbus-1/services/org.gnome.Cheese.service
%{_datadir}/applications/org.gnome.Cheese.desktop
%{_datadir}/appdata/org.gnome.Cheese.appdata.xml

%files libs -f cheese.lang
%license COPYING
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_libdir}/girepository-1.0/Cheese-3.0.typelib
%{_libdir}/*.so.*

%files devel
%{_datadir}/gir-1.0/Cheese-3.0.gir

%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/cheese/*.h
%{_libdir}/*.a

%files help
%doc README
%{_datadir}/gtk-doc/html/cheese/
%{_mandir}/man1/cheese.1.gz

%changelog
* Mon Sep 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 2:3.32.0-1
- Package Init

